Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptorC.i File Reference

This graph shows which files directly or indirectly include this file:

## Defines
#define | _PORTABLEINTERCEPTOR_INTERCEPTOR___CI_
#define | _PORTABLEINTERCEPTOR_CURRENT___CI_
#define | _PORTABLEINTERCEPTOR_REQUESTINFO___CI_
#define | _PORTABLEINTERCEPTOR_CLIENTREQUESTINFO___CI_
#define | _PORTABLEINTERCEPTOR_SERVERREQUESTINFO___CI_
#define | _PORTABLEINTERCEPTOR_CLIENTREQUESTINTERCEPTOR___CI_
#define | _PORTABLEINTERCEPTOR_SERVERREQUESTINTERCEPTOR___CI_
#define | _PORTABLEINTERCEPTOR_IORINFO___CI_
#define | _PORTABLEINTERCEPTOR_IORINTERCEPTOR___CI_
#define | _PORTABLEINTERCEPTOR_POLICYFACTORY___CI_
#define | _PORTABLEINTERCEPTOR_ORBINITINFO___CI_
#define | _PORTABLEINTERCEPTOR_ORBINITIALIZER___CI_
## Functions
ACE_INLINE PortableInterceptor::Interceptor_ptr | tao_PortableInterceptor_Interceptor_duplicate ( PortableInterceptor::Interceptor_ptr p )
ACE_INLINE void | tao_PortableInterceptor_Interceptor_release ( PortableInterceptor::Interceptor_ptr p )
ACE_INLINE PortableInterceptor::Interceptor_ptr | tao_PortableInterceptor_Interceptor_nil ( void )
ACE_INLINE PortableInterceptor::Interceptor_ptr | tao_PortableInterceptor_Interceptor_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_PortableInterceptor_Interceptor_upcast ( void *src )
ACE_INLINE PortableInterceptor::Current_ptr | tao_PortableInterceptor_Current_duplicate ( PortableInterceptor::Current_ptr p )
ACE_INLINE void | tao_PortableInterceptor_Current_release ( PortableInterceptor::Current_ptr p )
ACE_INLINE PortableInterceptor::Current_ptr | tao_PortableInterceptor_Current_nil ( void )
ACE_INLINE PortableInterceptor::Current_ptr | tao_PortableInterceptor_Current_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_PortableInterceptor_Current_upcast ( void *src )
ACE_INLINE PortableInterceptor::RequestInfo_ptr | tao_PortableInterceptor_RequestInfo_duplicate ( PortableInterceptor::RequestInfo_ptr p )
ACE_INLINE void | tao_PortableInterceptor_RequestInfo_release ( PortableInterceptor::RequestInfo_ptr p )
ACE_INLINE PortableInterceptor::RequestInfo_ptr | tao_PortableInterceptor_RequestInfo_nil ( void )
ACE_INLINE PortableInterceptor::RequestInfo_ptr | tao_PortableInterceptor_RequestInfo_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_PortableInterceptor_RequestInfo_upcast ( void *src )
ACE_INLINE PortableInterceptor::ClientRequestInfo_ptr | tao_PortableInterceptor_ClientRequestInfo_duplicate ( PortableInterceptor::ClientRequestInfo_ptr p )
ACE_INLINE void | tao_PortableInterceptor_ClientRequestInfo_release ( PortableInterceptor::ClientRequestInfo_ptr p )
ACE_INLINE PortableInterceptor::ClientRequestInfo_ptr | tao_PortableInterceptor_ClientRequestInfo_nil ( void )
ACE_INLINE PortableInterceptor::ClientRequestInfo_ptr | tao_PortableInterceptor_ClientRequestInfo_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_PortableInterceptor_ClientRequestInfo_upcast ( void *src )
ACE_INLINE PortableInterceptor::ServerRequestInfo_ptr | tao_PortableInterceptor_ServerRequestInfo_duplicate ( PortableInterceptor::ServerRequestInfo_ptr p )
ACE_INLINE void | tao_PortableInterceptor_ServerRequestInfo_release ( PortableInterceptor::ServerRequestInfo_ptr p )
ACE_INLINE PortableInterceptor::ServerRequestInfo_ptr | tao_PortableInterceptor_ServerRequestInfo_nil ( void )
ACE_INLINE PortableInterceptor::ServerRequestInfo_ptr | tao_PortableInterceptor_ServerRequestInfo_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_PortableInterceptor_ServerRequestInfo_upcast ( void *src )
ACE_INLINE PortableInterceptor::ClientRequestInterceptor_ptr | tao_PortableInterceptor_ClientRequestInterceptor_duplicate ( PortableInterceptor::ClientRequestInterceptor_ptr p )
ACE_INLINE void | tao_PortableInterceptor_ClientRequestInterceptor_release ( PortableInterceptor::ClientRequestInterceptor_ptr p )
ACE_INLINE PortableInterceptor::ClientRequestInterceptor_ptr | tao_PortableInterceptor_ClientRequestInterceptor_nil ( void )
ACE_INLINE PortableInterceptor::ClientRequestInterceptor_ptr | tao_PortableInterceptor_ClientRequestInterceptor_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_PortableInterceptor_ClientRequestInterceptor_upcast ( void *src )
ACE_INLINE PortableInterceptor::ServerRequestInterceptor_ptr | tao_PortableInterceptor_ServerRequestInterceptor_duplicate ( PortableInterceptor::ServerRequestInterceptor_ptr p )
ACE_INLINE void | tao_PortableInterceptor_ServerRequestInterceptor_release ( PortableInterceptor::ServerRequestInterceptor_ptr p )
ACE_INLINE PortableInterceptor::ServerRequestInterceptor_ptr | tao_PortableInterceptor_ServerRequestInterceptor_nil ( void )
ACE_INLINE PortableInterceptor::ServerRequestInterceptor_ptr | tao_PortableInterceptor_ServerRequestInterceptor_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_PortableInterceptor_ServerRequestInterceptor_upcast ( void *src )
ACE_INLINE PortableInterceptor::IORInfo_ptr | tao_PortableInterceptor_IORInfo_duplicate ( PortableInterceptor::IORInfo_ptr p )
ACE_INLINE void | tao_PortableInterceptor_IORInfo_release ( PortableInterceptor::IORInfo_ptr p )
ACE_INLINE PortableInterceptor::IORInfo_ptr | tao_PortableInterceptor_IORInfo_nil ( void )
ACE_INLINE PortableInterceptor::IORInfo_ptr | tao_PortableInterceptor_IORInfo_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_PortableInterceptor_IORInfo_upcast ( void *src )
ACE_INLINE PortableInterceptor::IORInterceptor_ptr | tao_PortableInterceptor_IORInterceptor_duplicate ( PortableInterceptor::IORInterceptor_ptr p )
ACE_INLINE void | tao_PortableInterceptor_IORInterceptor_release ( PortableInterceptor::IORInterceptor_ptr p )
ACE_INLINE PortableInterceptor::IORInterceptor_ptr | tao_PortableInterceptor_IORInterceptor_nil ( void )
ACE_INLINE PortableInterceptor::IORInterceptor_ptr | tao_PortableInterceptor_IORInterceptor_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_PortableInterceptor_IORInterceptor_upcast ( void *src )
ACE_INLINE PortableInterceptor::PolicyFactory_ptr | tao_PortableInterceptor_PolicyFactory_duplicate ( PortableInterceptor::PolicyFactory_ptr p )
ACE_INLINE void | tao_PortableInterceptor_PolicyFactory_release ( PortableInterceptor::PolicyFactory_ptr p )
ACE_INLINE PortableInterceptor::PolicyFactory_ptr | tao_PortableInterceptor_PolicyFactory_nil ( void )
ACE_INLINE PortableInterceptor::PolicyFactory_ptr | tao_PortableInterceptor_PolicyFactory_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_PortableInterceptor_PolicyFactory_upcast ( void *src )
ACE_INLINE PortableInterceptor::ORBInitInfo_ptr | tao_PortableInterceptor_ORBInitInfo_duplicate ( PortableInterceptor::ORBInitInfo_ptr p )
ACE_INLINE void | tao_PortableInterceptor_ORBInitInfo_release ( PortableInterceptor::ORBInitInfo_ptr p )
ACE_INLINE PortableInterceptor::ORBInitInfo_ptr | tao_PortableInterceptor_ORBInitInfo_nil ( void )
ACE_INLINE PortableInterceptor::ORBInitInfo_ptr | tao_PortableInterceptor_ORBInitInfo_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_PortableInterceptor_ORBInitInfo_upcast ( void *src )
ACE_INLINE PortableInterceptor::ORBInitializer_ptr | tao_PortableInterceptor_ORBInitializer_duplicate ( PortableInterceptor::ORBInitializer_ptr p )
ACE_INLINE void | tao_PortableInterceptor_ORBInitializer_release ( PortableInterceptor::ORBInitializer_ptr p )
ACE_INLINE PortableInterceptor::ORBInitializer_ptr | tao_PortableInterceptor_ORBInitializer_nil ( void )
ACE_INLINE PortableInterceptor::ORBInitializer_ptr | tao_PortableInterceptor_ORBInitializer_narrow ( CORBA::Object *p, CORBA::Environment &ACE_TRY_ENV )
ACE_INLINE CORBA::Object* | tao_PortableInterceptor_ORBInitializer_upcast ( void *src )

## Define Documentation

#define _PORTABLEINTERCEPTOR_CLIENTREQUESTINFO___CI_

#define _PORTABLEINTERCEPTOR_CLIENTREQUESTINTERCEPTOR___CI_

#define _PORTABLEINTERCEPTOR_CURRENT___CI_

#define _PORTABLEINTERCEPTOR_INTERCEPTOR___CI_

#define _PORTABLEINTERCEPTOR_IORINFO___CI_

#define _PORTABLEINTERCEPTOR_IORINTERCEPTOR___CI_

#define _PORTABLEINTERCEPTOR_ORBINITIALIZER___CI_

#define _PORTABLEINTERCEPTOR_ORBINITINFO___CI_

#define _PORTABLEINTERCEPTOR_POLICYFACTORY___CI_

#define _PORTABLEINTERCEPTOR_REQUESTINFO___CI_

#define _PORTABLEINTERCEPTOR_SERVERREQUESTINFO___CI_

#define _PORTABLEINTERCEPTOR_SERVERREQUESTINTERCEPTOR___CI_

## Function Documentation

ACE_INLINE PortableInterceptor::ClientRequestInfo_ptr tao_PortableInterceptor_ClientRequestInfo_duplicate ( | PortableInterceptor::ClientRequestInfo_ptr p )

ACE_INLINE PortableInterceptor::ClientRequestInfo_ptr tao_PortableInterceptor_ClientRequestInfo_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE PortableInterceptor::ClientRequestInfo_ptr tao_PortableInterceptor_ClientRequestInfo_nil ( | void )

ACE_INLINE void tao_PortableInterceptor_ClientRequestInfo_release ( | PortableInterceptor::ClientRequestInfo_ptr p )

ACE_INLINE CORBA::Object * tao_PortableInterceptor_ClientRequestInfo_upcast ( | void * src )

ACE_INLINE PortableInterceptor::ClientRequestInterceptor_ptr tao_PortableInterceptor_ClientRequestInterceptor_duplicate ( | PortableInterceptor::ClientRequestInterceptor_ptr p )

ACE_INLINE PortableInterceptor::ClientRequestInterceptor_ptr tao_PortableInterceptor_ClientRequestInterceptor_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE PortableInterceptor::ClientRequestInterceptor_ptr tao_PortableInterceptor_ClientRequestInterceptor_nil ( | void )

ACE_INLINE void tao_PortableInterceptor_ClientRequestInterceptor_release ( | PortableInterceptor::ClientRequestInterceptor_ptr p )

ACE_INLINE CORBA::Object * tao_PortableInterceptor_ClientRequestInterceptor_upcast ( | void * src )

ACE_INLINE PortableInterceptor::Current_ptr tao_PortableInterceptor_Current_duplicate ( | PortableInterceptor::Current_ptr p )

ACE_INLINE PortableInterceptor::Current_ptr tao_PortableInterceptor_Current_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE PortableInterceptor::Current_ptr tao_PortableInterceptor_Current_nil ( | void )

ACE_INLINE void tao_PortableInterceptor_Current_release ( | PortableInterceptor::Current_ptr p )

ACE_INLINE CORBA::Object * tao_PortableInterceptor_Current_upcast ( | void * src )

ACE_INLINE PortableInterceptor::IORInfo_ptr tao_PortableInterceptor_IORInfo_duplicate ( | PortableInterceptor::IORInfo_ptr p )

ACE_INLINE PortableInterceptor::IORInfo_ptr tao_PortableInterceptor_IORInfo_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE PortableInterceptor::IORInfo_ptr tao_PortableInterceptor_IORInfo_nil ( | void )

ACE_INLINE void tao_PortableInterceptor_IORInfo_release ( | PortableInterceptor::IORInfo_ptr p )

ACE_INLINE CORBA::Object * tao_PortableInterceptor_IORInfo_upcast ( | void * src )

ACE_INLINE PortableInterceptor::IORInterceptor_ptr tao_PortableInterceptor_IORInterceptor_duplicate ( | PortableInterceptor::IORInterceptor_ptr p )

ACE_INLINE PortableInterceptor::IORInterceptor_ptr tao_PortableInterceptor_IORInterceptor_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE PortableInterceptor::IORInterceptor_ptr tao_PortableInterceptor_IORInterceptor_nil ( | void )

ACE_INLINE void tao_PortableInterceptor_IORInterceptor_release ( | PortableInterceptor::IORInterceptor_ptr p )

ACE_INLINE CORBA::Object * tao_PortableInterceptor_IORInterceptor_upcast ( | void * src )

ACE_INLINE PortableInterceptor::Interceptor_ptr tao_PortableInterceptor_Interceptor_duplicate ( | PortableInterceptor::Interceptor_ptr p )

ACE_INLINE PortableInterceptor::Interceptor_ptr tao_PortableInterceptor_Interceptor_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE PortableInterceptor::Interceptor_ptr tao_PortableInterceptor_Interceptor_nil ( | void )

ACE_INLINE void tao_PortableInterceptor_Interceptor_release ( | PortableInterceptor::Interceptor_ptr p )

ACE_INLINE CORBA::Object * tao_PortableInterceptor_Interceptor_upcast ( | void * src )

ACE_INLINE PortableInterceptor::ORBInitInfo_ptr tao_PortableInterceptor_ORBInitInfo_duplicate ( | PortableInterceptor::ORBInitInfo_ptr p )

ACE_INLINE PortableInterceptor::ORBInitInfo_ptr tao_PortableInterceptor_ORBInitInfo_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE PortableInterceptor::ORBInitInfo_ptr tao_PortableInterceptor_ORBInitInfo_nil ( | void )

ACE_INLINE void tao_PortableInterceptor_ORBInitInfo_release ( | PortableInterceptor::ORBInitInfo_ptr p )

ACE_INLINE CORBA::Object * tao_PortableInterceptor_ORBInitInfo_upcast ( | void * src )

ACE_INLINE PortableInterceptor::ORBInitializer_ptr tao_PortableInterceptor_ORBInitializer_duplicate ( | PortableInterceptor::ORBInitializer_ptr p )

ACE_INLINE PortableInterceptor::ORBInitializer_ptr tao_PortableInterceptor_ORBInitializer_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE PortableInterceptor::ORBInitializer_ptr tao_PortableInterceptor_ORBInitializer_nil ( | void )

ACE_INLINE void tao_PortableInterceptor_ORBInitializer_release ( | PortableInterceptor::ORBInitializer_ptr p )

ACE_INLINE CORBA::Object * tao_PortableInterceptor_ORBInitializer_upcast ( | void * src )

ACE_INLINE PortableInterceptor::PolicyFactory_ptr tao_PortableInterceptor_PolicyFactory_duplicate ( | PortableInterceptor::PolicyFactory_ptr p )

ACE_INLINE PortableInterceptor::PolicyFactory_ptr tao_PortableInterceptor_PolicyFactory_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE PortableInterceptor::PolicyFactory_ptr tao_PortableInterceptor_PolicyFactory_nil ( | void )

ACE_INLINE void tao_PortableInterceptor_PolicyFactory_release ( | PortableInterceptor::PolicyFactory_ptr p )

ACE_INLINE CORBA::Object * tao_PortableInterceptor_PolicyFactory_upcast ( | void * src )

ACE_INLINE PortableInterceptor::RequestInfo_ptr tao_PortableInterceptor_RequestInfo_duplicate ( | PortableInterceptor::RequestInfo_ptr p )

ACE_INLINE PortableInterceptor::RequestInfo_ptr tao_PortableInterceptor_RequestInfo_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE PortableInterceptor::RequestInfo_ptr tao_PortableInterceptor_RequestInfo_nil ( | void )

ACE_INLINE void tao_PortableInterceptor_RequestInfo_release ( | PortableInterceptor::RequestInfo_ptr p )

ACE_INLINE CORBA::Object * tao_PortableInterceptor_RequestInfo_upcast ( | void * src )

ACE_INLINE PortableInterceptor::ServerRequestInfo_ptr tao_PortableInterceptor_ServerRequestInfo_duplicate ( | PortableInterceptor::ServerRequestInfo_ptr p )

ACE_INLINE PortableInterceptor::ServerRequestInfo_ptr tao_PortableInterceptor_ServerRequestInfo_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE PortableInterceptor::ServerRequestInfo_ptr tao_PortableInterceptor_ServerRequestInfo_nil ( | void )

ACE_INLINE void tao_PortableInterceptor_ServerRequestInfo_release ( | PortableInterceptor::ServerRequestInfo_ptr p )

ACE_INLINE CORBA::Object * tao_PortableInterceptor_ServerRequestInfo_upcast ( | void * src )

ACE_INLINE PortableInterceptor::ServerRequestInterceptor_ptr tao_PortableInterceptor_ServerRequestInterceptor_duplicate ( | PortableInterceptor::ServerRequestInterceptor_ptr p )

ACE_INLINE PortableInterceptor::ServerRequestInterceptor_ptr tao_PortableInterceptor_ServerRequestInterceptor_narrow ( | CORBA::Object * p,
| CORBA::Environment & ACE_TRY_ENV )

ACE_INLINE PortableInterceptor::ServerRequestInterceptor_ptr tao_PortableInterceptor_ServerRequestInterceptor_nil ( | void )

ACE_INLINE void tao_PortableInterceptor_ServerRequestInterceptor_release ( | PortableInterceptor::ServerRequestInterceptor_ptr p )

ACE_INLINE CORBA::Object * tao_PortableInterceptor_ServerRequestInterceptor_upcast ( | void * src )